> For the complete documentation index, see [llms.txt](https://docs.clashperk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.clashperk.com/developer/commands/config.md).

# /config

Configure server settings.

## Options

| Name                  | Description                                                      |
| --------------------- | ---------------------------------------------------------------- |
| `bot_manager_role`    | Role that can manage the bot.                                    |
| `roster_manager_role` | Role that can manage the roster members.                         |
| `flags_manager_role`  | Role that can manage the flags.                                  |
| `links_manager_role`  | Role that can manage the Discord links.                          |
| `color_code`          | Hex color code (e.g #ed4245)                                     |
| `webhook_limit`       | The maximum number of webhooks that can be created in a channel. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clashperk.com/developer/commands/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
